Package net.shibboleth.idp.profile

# Class ActionSupport

java.lang.Object
net.shibboleth.idp.profile.ActionSupport

public final class ActionSupport extends Object
Helper class for `Action` operations.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ActionSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static Event`
`buildEvent(Object source, String eventId)`
Builds an event with a given ID but no related attributes.
`static Event`
`buildEvent(Object source, String eventId, AttributeMap<Object> eventAttributes)`
Builds an event, to be returned by the given component.
`static Event`
`buildProceedEvent(Object source)`
Signals a successful outcome by an action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionSupport

private ActionSupport()
Constructor.

## Method Details

### buildProceedEvent

@Nullable public static Event buildProceedEvent(@Nonnull Object source)
Signals a successful outcome by an action.

Parameters:
  `source` - the source of the event
Returns:
  the proceed event (which may be null, based on implementation details)

### buildEvent

@Nonnull public static Event buildEvent(@Nonnull Object source, @Nonnull String eventId)
Builds an event with a given ID but no related attributes.

Parameters:
  `source` - the source of the event
  `eventId` - the ID of the event
Returns:
  the constructed event

### buildEvent

@Nonnull public static Event buildEvent(@Nonnull Object source, @Nonnull String eventId, @Nullable AttributeMap<Object> eventAttributes)
Builds an event, to be returned by the given component.

Parameters:
  `source` - IdP component that will return the constructed event
  `eventId` - ID of the event
  `eventAttributes` - attributes associated with the event
Returns:
  the constructed `Event`